using Edu.Common.Plugin;

namespace Edu.Common.Enum.Sale
{
    /// <summary>
    /// 销售状态
    /// </summary>
    public enum SaleStateEnum
    {
        /// <summary>
        /// 待完善
        /// </summary>
        [EnumField("待完善")]
        NoPerfect = 1,

        /// <summary>
        /// 审核中
        /// </summary>
        [EnumField("审核中")]
        Audit = 2,

        /// <summary>
        /// 上架
        /// </summary>
        [EnumField("上架")]
        Sell = 3,

        /// <summary>
        /// 审核失败
        /// </summary>
        [EnumField("审核失败")]
        Fail = 4,

        /// <summary>
        /// 下架
        /// </summary>
        [EnumField("下架")]
        OffShelf = 5,
    }
}
